diff -r f40675df5d4c trytond/modules/account/account.py
--- a/trytond/modules/account/account.py	Fri Sep 21 15:57:18 2012 +0200
+++ b/trytond/modules/account/account.py	Mon Sep 24 20:36:38 2012 +0200
@@ -1742,158 +1629,138 @@
             ])
     create_properties = StateTransition()
 
-    def transition_create_account(self, session):
+    def transition_create_account(self):
         pool = Pool()
-        account_type_template_obj = \
-                pool.get('account.account.type.template')
-        account_template_obj = pool.get('account.account.template')
-        tax_code_template_obj = pool.get('account.tax.code.template')
-        tax_template_obj = pool.get('account.tax.template')
-        tax_rule_template_obj = pool.get('account.tax.rule.template')
-        tax_rule_line_template_obj = \
+        TaxCodeTemplate = pool.get('account.tax.code.template')
+        TaxTemplate = pool.get('account.tax.template')
+        TaxRuleTemplate = pool.get('account.tax.rule.template')
+        TaxRuleLineTemplate = \
                 pool.get('account.tax.rule.line.template')
 
         with Transaction().set_context(language=CONFIG['language']):
-            account_template = session.account.account_template
+            account_template = self.account.account_template
 
             # Create account types
             template2type = {}
-            account_type_template_obj.create_type(account_template.type,
-                session.account.company.id, template2type=template2type)
+            account_template.type.create_type(self.account.company.id,
+                template2type=template2type)
 
             # Create accounts
             template2account = {}
-            account_template_obj.create_account(account_template,
-                session.account.company.id,
-                template2account=template2account,
-                template2type=template2type)
+            account_template.create_account(self.account.company.id,
+                template2account=template2account, template2type=template2type)
 
             # Create tax codes
             template2tax_code = {}
-            tax_code_template_ids = tax_code_template_obj.search([
+            tax_code_templates = TaxCodeTemplate.search([
                     ('account', '=', account_template.id),
                     ('parent', '=', None),
                     ])
-            for tax_code_template in tax_code_template_obj.browse(
-                    tax_code_template_ids):
-                tax_code_template_obj.create_tax_code(tax_code_template,
-                    session.account.company.id,
+            for tax_code_template in tax_code_templates:
+                tax_code_template.create_tax_code(self.account.company.id,
                     template2tax_code=template2tax_code)
 
             # Create taxes
             template2tax = {}
-            tax_template_ids = tax_template_obj.search([
+            tax_templates = TaxTemplate.search([
                     ('account', '=', account_template.id),
                     ('parent', '=', None),
                     ])
-            for tax_template in tax_template_obj.browse(tax_template_ids):
-                tax_template_obj.create_tax(tax_template,
-                    session.account.company.id,
+            for tax_template in tax_templates:
+                tax_template.create_tax(self.account.company.id,
                     template2tax_code=template2tax_code,
                     template2account=template2account,
                     template2tax=template2tax)
 
             # Update taxes on accounts
-            account_template_obj.update_account_taxes(account_template,
-                    template2account, template2tax)
+            account_template.update_account_taxes(template2account,
+                template2tax)
 
             # Create tax rules
             template2rule = {}
-            tax_rule_template_ids = tax_rule_template_obj.search([
+            tax_rule_templates = TaxRuleTemplate.search([
                     ('account', '=', account_template.id),
                     ])
-            for tax_rule_template in tax_rule_template_obj.browse(
-                    tax_rule_template_ids):
-                tax_rule_template_obj.create_rule(tax_rule_template,
-                    session.account.company.id, template2rule=template2rule)
+            for tax_rule_template in tax_rule_templates:
+                tax_rule_template.create_rule(self.account.company.id,
+                    template2rule=template2rule)
 
             # Create tax rule lines
             template2rule_line = {}
-            tax_rule_line_template_ids = tax_rule_line_template_obj.search([
+            tax_rule_line_templates = TaxRuleLineTemplate.search([
                     ('rule.account', '=', account_template.id),
                     ])
-            for tax_rule_line_template in tax_rule_line_template_obj.browse(
-                    tax_rule_line_template_ids):
-                tax_rule_line_template_obj.create_rule_line(
-                    tax_rule_line_template, template2tax, template2rule,
-                    template2rule_line=template2rule_line)
+            for tax_rule_line_template in tax_rule_line_templates:
+                tax_rule_line_template.create_rule_line(template2tax,
+                    template2rule, template2rule_line=template2rule_line)
         return 'properties'
 
-    def default_properties(self, session, fields):
+    def default_properties(self, fields):
         return {
-            'company': session.account.company.id,
+            'company': self.account.company.id,
             }
 
-    def transition_create_properties(self, session):
+    def transition_create_properties(self):
         pool = Pool()
-        property_obj = pool.get('ir.property')
-        model_field_obj = pool.get('ir.model.field')
+        Property = pool.get('ir.property')
+        ModelField = pool.get('ir.model.field')
 
-        with Transaction().set_context(company=session.properties.company.id):
-            account_receivable_field_id, = model_field_obj.search([
+        with Transaction().set_context(company=self.properties.company.id):
+            account_receivable_field, = ModelField.search([
                     ('model.model', '=', 'party.party'),
                     ('name', '=', 'account_receivable'),
                     ], limit=1)
-            property_ids = property_obj.search([
-                    ('field', '=', account_receivable_field_id),
+            properties = Property.search([
+                    ('field', '=', account_receivable_field.id),
                     ('res', '=', None),
-                    ('company', '=', session.properties.company.id),
+                    ('company', '=', self.properties.company.id),
                     ])
             with Transaction().set_user(0):
-                property_obj.delete(property_ids)
-                if session.properties.account_receivable:
-                    property_obj.create({
-                            'field': account_receivable_field_id,
+                Property.delete(properties)
+                if self.properties.account_receivable:
+                    Property.create({
+                            'field': account_receivable_field.id,
                             'value': 'account.account,' + \
-                                str(session.properties.account_receivable.id),
-                            'company': session.properties.company.id,
+                                str(self.properties.account_receivable.id),
+                            'company': self.properties.company.id,
                             })
 
-            account_payable_field_id, = model_field_obj.search([
+            account_payable_field, = ModelField.search([
                     ('model.model', '=', 'party.party'),
                     ('name', '=', 'account_payable'),
                     ], limit=1)
-            property_ids = property_obj.search([
-                    ('field', '=', account_payable_field_id),
+            properties = Property.search([
+                    ('field', '=', account_payable_field.id),
                     ('res', '=', None),
-                    ('company', '=', session.properties.company.id),
+                    ('company', '=', self.properties.company.id),
                     ])
             with Transaction().set_user(0):
-                property_obj.delete(property_ids)
-                if session.properties.account_payable:
-                    property_obj.create({
-                            'field': account_payable_field_id,
+                Property.delete(properties)
+                if self.properties.account_payable:
+                    Property.create({
+                            'field': account_payable_field.id,
                             'value': 'account.account,' + \
-                                str(session.properties.account_payable.id),
-                            'company': session.properties.company.id,
+                                str(self.properties.account_payable.id),
+                            'company': self.properties.company.id,
                             })
         return 'end'
 
-CreateChart()
-
 
 class UpdateChartStart(ModelView):
     'Update Chart'
-    _name = 'account.update_chart.start'
-    _description = __doc__
+    __name__ = 'account.update_chart.start'
     account = fields.Many2One('account.account', 'Root Account',
             required=True, domain=[('parent', '=', None)])
 
-UpdateChartStart()
-
 
 class UpdateChartSucceed(ModelView):
     'Update Chart'
-    _name = 'account.update_chart.succeed'
-    _description = __doc__
-
-UpdateChartSucceed()
+    __name__ = 'account.update_chart.succeed'
 
 
 class UpdateChart(Wizard):
     'Update Chart'
-    _name = 'account.update_chart'
-
+    __name__ = 'account.update_chart'
     start = StateView('account.update_chart.start',
         'account.update_chart_start_view_form', [
             Button('Cancel', 'end', 'tryton-cancel'),
@@ -1905,159 +1772,141 @@
             Button('Ok', 'end', 'tryton-ok', default=True),
             ])
 
-    def transition_update(self, session):
+    def transition_update(self):
         pool = Pool()
-        account_type_obj = pool.get('account.account.type')
-        account_type_template_obj = \
-                pool.get('account.account.type.template')
-        account_obj = pool.get('account.account')
-        account_template_obj = pool.get('account.account.template')
-        tax_code_obj = pool.get('account.tax.code')
-        tax_code_template_obj = pool.get('account.tax.code.template')
-        tax_obj = pool.get('account.tax')
-        tax_template_obj = pool.get('account.tax.template')
-        tax_rule_obj = pool.get('account.tax.rule')
-        tax_rule_template_obj = pool.get('account.tax.rule.template')
-        tax_rule_line_obj = pool.get('account.tax.rule.line')
-        tax_rule_line_template_obj = \
+        TaxCode = pool.get('account.tax.code')
+        TaxCodeTemplate = pool.get('account.tax.code.template')
+        Tax = pool.get('account.tax')
+        TaxTemplate = pool.get('account.tax.template')
+        TaxRule = pool.get('account.tax.rule')
+        TaxRuleTemplate = pool.get('account.tax.rule.template')
+        TaxRuleLine = pool.get('account.tax.rule.line')
+        TaxRuleLineTemplate = \
                 pool.get('account.tax.rule.line.template')
 
-        account = session.start.account
+        account = self.start.account
 
         # Update account types
         template2type = {}
-        account_type_obj.update_type(account.type, template2type=template2type)
+        account.type.update_type(template2type=template2type)
         # Create missing account types
         if account.type.template:
-            account_type_template_obj.create_type(account.type.template,
-                    account.company.id, template2type=template2type)
+            account.type.template.create_type(account.company.id,
+                template2type=template2type)
 
         # Update accounts
         template2account = {}
-        account_obj.update_account(account, template2account=template2account,
-                template2type=template2type)
+        account.update_account(template2account=template2account,
+            template2type=template2type)
         # Create missing accounts
         if account.template:
-            account_template_obj.create_account(account.template,
-                    account.company.id, template2account=template2account,
-                    template2type=template2type)
+            account.template.create_account(account.company.id,
+                template2account=template2account, template2type=template2type)
 
         # Update tax codes
         template2tax_code = {}
-        tax_code_ids = tax_code_obj.search([
+        tax_codes = TaxCode.search([
             ('company', '=', account.company.id),
             ('parent', '=', None),
             ])
-        for tax_code in tax_code_obj.browse(tax_code_ids):
-            tax_code_obj.update_tax_code(tax_code,
-                    template2tax_code=template2tax_code)
+        for tax_code in tax_codes:
+            tax_code.update_tax_code(template2tax_code=template2tax_code)
         # Create missing tax codes
         if account.template:
-            tax_code_template_ids = tax_code_template_obj.search([
+            tax_code_templates = TaxCodeTemplate.search([
                 ('account', '=', account.template.id),
                 ('parent', '=', None),
                 ])
-            for tax_code_template in tax_code_template_obj.browse(
-                    tax_code_template_ids):
-                tax_code_template_obj.create_tax_code(tax_code_template,
-                        account.company.id,
-                        template2tax_code=template2tax_code)
+            for tax_code_template in tax_code_templates:
+                tax_code_template.create_tax_code(account.company.id,
+                    template2tax_code=template2tax_code)
 
         # Update taxes
         template2tax = {}
-        tax_ids = tax_obj.search([
+        taxes = Tax.search([
             ('company', '=', account.company.id),
             ('parent', '=', None),
             ])
-        for tax in tax_obj.browse(tax_ids):
-            tax_obj.update_tax(tax, template2tax_code=template2tax_code,
+        for tax in taxes:
+            tax.update_tax(template2tax_code=template2tax_code,
                     template2account=template2account,
                     template2tax=template2tax)
         # Create missing taxes
         if account.template:
-            tax_template_ids = tax_template_obj.search([
+            tax_templates = TaxTemplate.search([
                 ('account', '=', account.template.id),
                 ('parent', '=', None),
                 ])
-            for tax_template in tax_template_obj.browse(tax_template_ids):
-                tax_template_obj.create_tax(tax_template, account.company.id,
+            for tax_template in tax_templates:
+                tax_template.create_tax(account.company.id,
                         template2tax_code=template2tax_code,
                         template2account=template2account,
                         template2tax=template2tax)
 
         # Update taxes on accounts
-        account_obj.update_account_taxes(account, template2account,
-                template2tax)
+        account.update_account_taxes(template2account, template2tax)
 
         # Update tax rules
         template2rule = {}
-        tax_rule_ids = tax_rule_obj.search([
+        tax_rules = TaxRule.search([
             ('company', '=', account.company.id),
             ])
-        for tax_rule in tax_rule_obj.browse(tax_rule_ids):
-            tax_rule_obj.update_rule(tax_rule, template2rule=template2rule)
+        for tax_rule in tax_rules:
+            tax_rule.update_rule(template2rule=template2rule)
         # Create missing tax rules
         if account.template:
-            tax_rule_template_ids = tax_rule_template_obj.search([
+            tax_rule_templates = TaxRuleTemplate.search([
                 ('account', '=', account.template.id),
                 ])
-            for tax_rule_template in tax_rule_template_obj.browse(
-                    tax_rule_template_ids):
-                tax_rule_template_obj.create_rule(tax_rule_template,
-                        account.company.id, template2rule=template2rule)
+            for tax_rule_template in tax_rule_templates:
+                tax_rule_template.create_rule(account.company.id,
+                    template2rule=template2rule)
 
         # Update tax rule lines
         template2rule_line = {}
-        tax_rule_line_ids = tax_rule_line_obj.search([
+        tax_rule_lines = TaxRuleLine.search([
             ('rule.company', '=', account.company.id),
             ])
-        for tax_rule_line in tax_rule_line_obj.browse(tax_rule_line_ids):
-            tax_rule_line_obj.update_rule_line(tax_rule_line, template2tax,
-                    template2rule, template2rule_line=template2rule_line)
+        for tax_rule_line in tax_rule_lines:
+            tax_rule_line.update_rule_line(template2tax, template2rule,
+                template2rule_line=template2rule_line)
         # Create missing tax rule lines
         if account.template:
-            tax_rule_line_template_ids = tax_rule_line_template_obj.search([
+            tax_rule_line_templates = TaxRuleLineTemplate.search([
                 ('rule.account', '=', account.template.id),
                 ])
-            for tax_rule_line_template in tax_rule_line_template_obj.browse(
-                    tax_rule_line_template_ids):
-                tax_rule_line_template_obj.create_rule_line(
-                        tax_rule_line_template, template2tax, template2rule,
-                        template2rule_line=template2rule_line)
+            for tax_rule_line_template in tax_rule_line_templates:
+                tax_rule_line_template.create_rule_line(template2tax,
+                    template2rule, template2rule_line=template2rule_line)
         return 'succeed'
 
-UpdateChart()
-
 
 class OpenThirdPartyBalanceStart(ModelView):
     'Open Third Party Balance'
-    _name = 'account.open_third_party_balance.start'
-    _description = __doc__
+    __name__ = 'account.open_third_party_balance.start'
     company = fields.Many2One('company.company', 'Company', required=True)
     fiscalyear = fields.Many2One('account.fiscalyear', 'Fiscal Year',
             required=True)
     posted = fields.Boolean('Posted Move', help='Show only posted move')
 
-    def default_fiscalyear(self):
-        fiscalyear_obj = Pool().get('account.fiscalyear')
-        fiscalyear_id = fiscalyear_obj.find(
-                Transaction().context.get('company'), exception=False)
-        if fiscalyear_id:
-            return fiscalyear_id
+    @staticmethod
+    def default_fiscalyear():
+        Fiscalyear = Pool().get('account.fiscalyear')
+        return Fiscalyear.find(
+            Transaction().context.get('company'), exception=False)
 
-    def default_posted(self):
+    @staticmethod
+    def default_posted():
         return False
 
-    def default_company(self):
+    @staticmethod
+    def default_company():
         return Transaction().context.get('company')
 
-OpenThirdPartyBalanceStart()
-
 
 class OpenThirdPartyBalance(Wizard):
     'Open Third Party Balance'
-    _name = 'account.open_third_party_balance'
-
+    __name__ = 'account.open_third_party_balance'
     start = StateView('account.open_third_party_balance.start',
         'account.open_balance_sheet_start_view_form', [
             Button('Cancel', 'end', 'tryton-cancel'),
@@ -2065,37 +1914,36 @@
             ])
     print_ = StateAction('account.report_third_party_balance')
 
-    def do_print_(self, session, action):
+    def do_print_(self, action):
         data = {
-            'company': session.start.company.id,
-            'fiscalyear': session.start.fiscalyear.id,
-            'posted': session.start.posted,
+            'company': self.start.company.id,
+            'fiscalyear': self.start.fiscalyear.id,
+            'posted': self.start.posted,
             }
         return action, data
 
-    def transition_print_(self, session):
+    def transition_print_(self):
         return 'end'
 
-OpenThirdPartyBalance()
-
 
 class ThirdPartyBalance(Report):
-    _name = 'account.third_party_balance'
+    __name__ = 'account.third_party_balance'
 
-    def parse(self, report, objects, data, localcontext):
+    @classmethod
+    def parse(cls, report, objects, data, localcontext):
         pool = Pool()
-        party_obj = pool.get('party.party')
-        move_line_obj = pool.get('account.move.line')
-        company_obj = pool.get('company.company')
-        date_obj = pool.get('ir.date')
+        Party = pool.get('party.party')
+        MoveLine = pool.get('account.move.line')
+        Company = pool.get('company.company')
+        Date = pool.get('ir.date')
         cursor = Transaction().cursor
 
-        company = company_obj.browse(data['company'])
+        company = Company(data['company'])
         localcontext['company'] = company
         localcontext['digits'] = company.currency.digits
         localcontext['fiscalyear'] = data['fiscalyear']
         with Transaction().set_context(context=localcontext):
-            line_query, _ = move_line_obj.query_get()
+            line_query, _ = MoveLine.query_get()
         if data['posted']:
             posted_clause = "AND m.state = 'posted' "
         else:
@@ -2116,11 +1964,11 @@
                     + posted_clause + \
                 'GROUP BY l.party ' \
                 'HAVING (SUM(l.debit) != 0 OR SUM(l.credit) != 0)',
-                (data['company'], date_obj.today()))
+                (data['company'], Date.today()))
 
         res = cursor.fetchall()
         id2party = {}
-        for party in party_obj.browse([x[0] for x in res]):
+        for party in Party.browse([x[0] for x in res]):
             id2party[party.id] = party
         objects = [{
             'name': id2party[x[0]].rec_name,
@@ -2133,16 +1981,13 @@
         localcontext['total_credit'] = sum((x['credit'] for x in objects))
         localcontext['total_solde'] = sum((x['solde'] for x in objects))
 
-        return super(ThirdPartyBalance, self).parse(report, objects, data,
+        return super(ThirdPartyBalance, cls).parse(report, objects, data,
             localcontext)
 
-ThirdPartyBalance()
-
 
 class OpenAgedBalanceStart(ModelView):
     'Open Aged Balance'
-    _name = 'account.open_aged_balance.start'
-    _description = __doc__
+    __name__ = 'account.open_aged_balance.start'
     company = fields.Many2One('company.company', 'Company', required=True)
     fiscalyear = fields.Many2One('account.fiscalyear', 'Fiscal Year',
             required=True)
@@ -2156,41 +2001,44 @@
         [('day', 'Day'), ('month', 'Month')], "Unit", required=True)
     posted = fields.Boolean('Posted Move', help='Show only posted move')
 
-    def default_fiscalyear(self):
-        fiscalyear_obj = Pool().get('account.fiscalyear')
-        fiscalyear_id = fiscalyear_obj.find(
-                Transaction().context.get('company'), exception=False)
-        if fiscalyear_id:
-            return fiscalyear_id
+    @staticmethod
+    def default_fiscalyear():
+        FiscalYear = Pool().get('account.fiscalyear')
+        return FiscalYear.find(
+            Transaction().context.get('company'), exception=False)
 
-    def default_balance_type(self):
+    @staticmethod
+    def default_balance_type():
         return "customer"
 
-    def default_posted(self):
+    @staticmethod
+    def default_posted():
         return False
 
-    def default_term1(self):
+    @staticmethod
+    def default_term1():
         return 30
 
-    def default_term2(self):
+    @staticmethod
+    def default_term2():
         return 60
 
-    def default_term3(self):
+    @staticmethod
+    def default_term3():
         return 90
 
-    def default_unit(self):
+    @staticmethod
+    def default_unit():
         return 'day'
 
-    def default_company(self):
+    @staticmethod
+    def default_company():
         return Transaction().context.get('company')
 
-OpenAgedBalanceStart()
-
 
 class OpenAgedBalance(Wizard):
     'Open Aged Party Balance'
-    _name = 'account.open_aged_balance'
-
+    __name__ = 'account.open_aged_balance'
     start = StateView('account.open_aged_balance.start',
         'account.open_aged_balance_start_view_form', [
             Button('Cancel', 'end', 'tryton-cancel'),
@@ -2198,52 +2046,51 @@
             ])
     print_ = StateAction('account.report_aged_balance')
 
-    def __init__(self):
-        super(OpenAgedBalance, self).__init__()
-        self._error_messages.update({
+    @classmethod
+    def __setup__(cls):
+        super(OpenAgedBalance, cls).__setup__()
+        cls._error_messages.update({
                 'warning': 'Warning',
                 'term_overlap_desc': 'You cannot define overlapping terms'})
 
-    def do_print_(self, session, action):
-        if not (session.start.term1 < session.start.term2
-                < session.start.term3):
+    def do_print_(self, action):
+        if not (self.start.term1 < self.start.term2 < self.start.term3):
             self.raise_user_error(error="warning",
-                    error_description="term_overlap_desc")
+                error_description="term_overlap_desc")
         data = {
-            'company': session.start.company.id,
-            'fiscalyear': session.start.fiscalyear.id,
-            'term1': session.start.term1,
-            'term2': session.start.term2,
-            'term3': session.start.term3,
-            'unit': session.start.unit,
-            'posted': session.start.posted,
-            'balance_type': session.start.balance_type,
+            'company': self.start.company.id,
+            'fiscalyear': self.start.fiscalyear.id,
+            'term1': self.start.term1,
+            'term2': self.start.term2,
+            'term3': self.start.term3,
+            'unit': self.start.unit,
+            'posted': self.start.posted,
+            'balance_type': self.start.balance_type,
             }
         return action, data
 
-    def transition_print_(self, session):
+    def transition_print_(self):
         return 'end'
 
-OpenAgedBalance()
-
 
 class AgedBalance(Report):
-    _name = 'account.aged_balance'
+    __name__ = 'account.aged_balance'
 
-    def parse(self, report, objects, data, localcontext):
+    @classmethod
+    def parse(cls, report, objects, data, localcontext):
         pool = Pool()
-        party_obj = pool.get('party.party')
-        move_line_obj = pool.get('account.move.line')
-        company_obj = pool.get('company.company')
-        date_obj = pool.get('ir.date')
+        Party = pool.get('party.party')
+        MoveLine = pool.get('account.move.line')
+        Company = pool.get('company.company')
+        Date = pool.get('ir.date')
         cursor = Transaction().cursor
 
-        company = company_obj.browse(data['company'])
+        company = Company(data['company'])
         localcontext['digits'] = company.currency.digits
         localcontext['fiscalyear'] = data['fiscalyear']
         localcontext['posted'] = data['posted']
         with Transaction().set_context(context=localcontext):
-            line_query, _ = move_line_obj.query_get()
+            line_query, _ = MoveLine.query_get()
 
         terms = (data['term1'], data['term2'], data['term3'])
         if data['unit'] == 'month':
@@ -2262,14 +2109,14 @@
             if position == 0:
                 term_query = '(l.maturity_date <= %s '\
                     'OR l.maturity_date IS NULL) '
-                term_args = (date_obj.today() +
+                term_args = (Date.today() +
                         datetime.timedelta(days=term * coef),)
             else:
                 term_query = '(l.maturity_date <= %s '\
                     'AND l.maturity_date > %s) '
                 term_args = (
-                    date_obj.today() + datetime.timedelta(days=term * coef),
-                    date_obj.today()
+                    Date.today() + datetime.timedelta(days=term * coef),
+                    Date.today()
                     + datetime.timedelta(days=terms[position - 1] * coef),
                     )
 
@@ -2293,10 +2140,9 @@
                 else:
                     res[party] = [(i[0] == position) and solde \
                             or Decimal("0.0") for i in enumerate(terms)]
-        party_ids = party_obj.search([
+        parties = Party.search([
             ('id', 'in', [k for k in res.iterkeys()]),
             ])
-        parties = party_obj.browse(party_ids)
 
         localcontext['main_title'] = data['balance_type']
         localcontext['unit'] = data['unit']
@@ -2313,7 +2159,5 @@
                 'amount2': res[p.id][2],
                 } for p in parties]
 
-        return super(AgedBalance, self).parse(report, objects, data,
+        return super(AgedBalance, cls).parse(report, objects, data,
             localcontext)
-
-AgedBalance()
